Uploaded image for project: 'Nuxeo Studio'
  1. Nuxeo Studio
  2. NXS-3428

Update target platform on 8.3 for new Nuxeo distribution

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 38
    • Component/s: Target Platforms

      Description

      See NXP-19643: the current package generated by Studio states a dependency to nuxeo-cap.

      From 8.3, the nuxeo-cap dep should be considered for compatibility as nuxeo-server and JSF package marketplace-jsf-ui. Note that the same compat behaviour was introduced for nuxeo-dm migration to nuxeo-cap + DM package (see TARGET_PLATFORM#getMigratedTargetPlatform) so this can be taken as an example.

      The JSF package will be marked as required for now (cannot be unchecked), this can be hardcoded for now: see additionnal tasks in NXS-3429 to allow unchecking it.

      Target platform contributions for 8.3 and 8.4 need to be updated to remove nuxeo-cap and use nuxeo-server instead. There is no need splitting contributions coming from server and jsf-ui for now (this can wait for NXS-3429).

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.